#!/usr/bin/env bash
# Copyright (c) 2016-2024 The Hush developers
# Distributed under the GPLv3 software license, see the accompanying
# file COPYING or https://www.gnu.org/licenses/gpl-3.0.en.html

set -eu -o pipefail

echo "Compiling a debug build with --enable-debug..."

# run correct build script for detected OS
if [[ "$OSTYPE" == "linux-gnu"* ]]; then
    # TODO: we only have debug builds on linux for now
    CONFIGURE_FLAGS=--enable-debug ./util/debug-build.sh --disable-tests $@
elif [[ "$OSTYPE" == "darwin"* ]]; then
    # code from ./util/build.sh needs to be ported to support --disable-tests
    #./util/build-mac.sh --disable-tests $@
    CONFIGURE_FLAGS=--enable-debug ./util/build-mac.sh $@
elif [[ "$OSTYPE" == "msys"* ]]; then
    CONFIGURE_FLAGS=--enable-debug ./util/build-win.sh --disable-tests $@
elif [[ "$OSTYPE" == "freebsd"* ]]; then
    CONFIGURE_FLAGS=--enable-debug ./util/build.sh --disable-tests $@
else
    echo "Unable to detect your OS. What are you using?"
fi
